#include <iostream>

using namespace std;

long long f(int a, int b)
{
    int h=max(a, b), w=min(a, b);
    if (h==1 && w==1)
        return 1;
    else
        return h*w+f(h/2, w)+f((h+1)/2, w);
}

int main()
{
    int h, w; cin >> h >> w;
    cout << f(h, w);
    return 0;
}
